HOBBIT-CONFREPORT.CGI(1)

NAME
hobbit-confreport.cgi - Xymon Configuration report

SYNOPSIS
hobbit-confreport.cgi

DESCRIPTION
hobbit-confreport.cgi is invoked as a CGI script via the hobbit-confreport.sh CGI wrapper. hobbit-confreport.cgi provides a plain HTML (Web) report of the Xymon configuration for a group of hosts; which hosts are included is determined by the hosts available on the webpage from where the CGI script is invoked. The configuration report include the hostnames, a list of the statuses monitored for each host, and if applicable any configuration settings affecting these. Alerts that may be triggered by status changes are also included. The report is plain HTML without any images included, and therefore suitable for inclusion into e-mails or other documents that may be accessed outside the Xymon system.

OPTIONS

--critical
    Report only on the statuses that are configured to show up on the Critical Systems view.

--old-nk-config
    Use the deprecated NK tag in bb-hosts to determine if tests appear on the Critical Systems view.

--env=FILENAME
    Loads the environment defined in FILENAME before executing the CGI script.

--area=NAME
    Load environment variables for a specific area. NB: if used, this option must appear before any --env=FILENAME option.

--debug
    Enables debugging output.

BUGS
Client-side configuration done in the hobbit-clients.cfg(5) is not currently reflected in the report. Critical Systems view configuration is not reflected in the report.

SEE ALSO
bb-hosts(5), hobbit-alerts.cfg(5), hobbit-clients.cfg(5), xymon(7)